"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WebTemplateType = exports.ViewType = exports.UserCustomActionRegistrationType = exports.URLZones = exports.UrlFormatType = exports.StatusPriColor = exports.RoleType = exports.ReorderingRuleMatchType = exports.RenderListDataOptions = exports.RelationshipDeleteBehaviorType = exports.PropertyPaneType = exports.PrincipalTypes = exports.PrincipalSources = exports.PersonalSiteCapabilities = exports.PersonalizationScope = exports.PageType = exports.ModalDialogResult = exports.LocaleLCIDType = exports.ListTemplateType = exports.ListExperienceOptions = exports.FriendlyDateFormat = exports.FormDisplayMode = exports.FileTemplateType = exports.FileLevelType = exports.FieldUserSelectionType = exports.FieldType = exports.FieldResultType = exports.FieldNumberType = exports.FieldNoteType = exports.FieldIndexStatus = exports.EnvironmentType = exports.EventReceiverType = exports.EventReceiverSynchronizationType = exports.DraftVisibilityType = exports.DisplayMode = exports.DateFormat = exports.ControlMode = exports.CloudEnvironment = exports.ClientTemplatesUtility = exports.ClientSidePageLayout = exports.ChoiceFormatType = exports.CheckOutType = exports.CheckInType = exports.CalendarTypes = exports.BasePermissionTypes = void 0;
/**
 * Base Permission Types
 */
exports.BasePermissionTypes = {
    EmptyMask: 0,
    ViewListItems: 1,
    AddListItems: 2,
    EditListItems: 3,
    DeleteListItems: 4,
    ApproveItems: 5,
    OpenItems: 6,
    ViewVersions: 7,
    DeleteVersions: 8,
    CancelCheckout: 9,
    ManagePersonalViews: 10,
    ManageLists: 12,
    ViewFormPages: 13,
    AnonymousSearchAccessList: 14,
    Open: 17,
    ViewPages: 18,
    AddAndCustomizePages: 19,
    ApplyThemeAndBorder: 20,
    ApplyStyleSheets: 21,
    ViewUsageData: 22,
    CreateSSCSite: 23,
    ManageSubwebs: 24,
    CreateGroups: 25,
    ManagePermissions: 26,
    BrowseDirectories: 27,
    BrowseUserInfo: 28,
    AddDelPrivateWebParts: 29,
    UpdatePersonalWebParts: 30,
    ManageWeb: 31,
    AnonymousSearchAccessWebLists: 32,
    UseClientIntegration: 37,
    UseRemoteAPIs: 38,
    ManageAlerts: 39,
    CreateAlerts: 40,
    EditMyUserInfo: 41,
    EnumeratePermissions: 63,
    FullMask: 65
};
/**
 * Calendar Types
 */
exports.CalendarTypes = {
    Gregorian: 1,
    JapaneseEmperorEra: 3,
    TaiwanCalendar: 4,
    KoreanTangunEra: 5,
    Hijri: 6,
    Thai: 7,
    HebrewLunar: 8,
    GregorianMiddleEastFrench: 9,
    GregorianArabic: 10,
    GregorianTransliteratedEnglish: 11,
    GregorianTransliteratedFrench: 12,
    KoreanandJapaneseLunar: 14,
    ChineseLunar: 15,
    SakaEra: 16
};
/**
 * Check In Types
 */
exports.CheckInType = { MinorCheckIn: 0, MajorCheckIn: 1, OverwriteCheckIn: 2 };
/**
 * Check Out Types
 */
exports.CheckOutType = { Online: 0, Offline: 1, None: 2 };
/**
 * Choice Format Types
 */
exports.ChoiceFormatType = { Dropdown: 0, RadioButtons: 1 };
/**
 * Client Side Templates
 */
exports.ClientSidePageLayout = {
    Article: "Article",
    HeaderlessSearchResults: "HeaderlessSearchResults",
    Home: "Home",
    RepostPage: "RepostPage",
    SingleWebPartAppPage: "SingleWebPartAppPage",
    Spaces: "Spaces",
    Topic: "Topic"
};
/**
 * Client Template Utility
 */
exports.ClientTemplatesUtility = {
    UserLookupDelimitString: ";#",
    UserMultiValueDelimitString: ",#"
};
/**
 * Cloud Environments
 */
exports.CloudEnvironment = {
    China: "https://microsoftgraph.chinacloudapi.cn",
    Default: "https://graph.microsoft.com",
    Flow: "https://service.flow.microsoft.com/",
    FlowAPI: "https://api.flow.microsoft.com/",
    FlowChina: "https://service.powerautomate.cn/",
    FlowChinaAPI: "https://api.powerautomate.cn/",
    FlowDoD: "https://service.flow.appsplatform.us/",
    FlowDoDAPI: "https://api.flow.appsplatform.us/",
    FlowGov: "https://gov.service.flow.microsoft.us/",
    FlowGovAPI: "https://gov.api.flow.microsoft.us/",
    FlowHigh: "https://high.service.flow.microsoft.us/",
    FlowHighAPI: "https://high.api.flow.microsoft.us/",
    FlowUSNat: "https://service.flow.eaglex.ic.gov/",
    FlowUSNatAPI: "https://api.flow.eaglex.ic.gov/",
    FlowUSSec: "https://service.flow.microsoft.scloud/",
    FlowUSSecAPI: "https://api.flow.microsoft.scloud/",
    Office: "https://substrate.office.com",
    USL4: "https://graph.microsoft.us",
    USL5: "https://dod-graph.microsoft.us"
};
/**
 * Control Modes
 */
exports.ControlMode = {
    Invalid: 0,
    Display: 1,
    Edit: 2,
    New: 3,
    View: 4
};
/**
 * Date Format
 */
exports.DateFormat = { DateOnly: 0, DateTime: 1 };
/**
 * Display Mode
 */
exports.DisplayMode = {
    Edit: 2,
    Read: 1
};
/**
 * Draft Visibility Types
 */
exports.DraftVisibilityType = { Reader: 0, Author: 1, Approver: 2 };
/**
 * Event Receiver Synchronization Types
 */
exports.EventReceiverSynchronizationType = { Synchronization: 1, Asynchronous: 2 };
/**
 * Event Receiver Types
 */
exports.EventReceiverType = {
    ItemAdding: 1,
    ItemUpdating: 2,
    ItemDeleting: 3,
    ItemCheckingIn: 4,
    ItemCheckingOut: 5,
    ItemUncheckingOut: 6,
    ItemAttachmentAdding: 7,
    ItemAttachmentDeleting: 8,
    ItemFileMoving: 9,
    ItemVersionDeleting: 11,
    FieldAdding: 101,
    FieldUpdating: 102,
    FieldDeleting: 103,
    ListAdding: 104,
    ListDeleting: 105,
    SiteDeleting: 201,
    WebDeleting: 202,
    WebMoving: 203,
    WebAdding: 204,
    GroupAdding: 301,
    GroupUpdating: 302,
    GroupDeleting: 303,
    GroupUserAdding: 304,
    GroupUserDeleting: 305,
    RoleDefinitionAdding: 306,
    RoleDefinitionUpdating: 307,
    RoleDefinitionDeleting: 308,
    RoleAssignmentAdding: 309,
    RoleAssignmentDeleting: 310,
    InheritanceBreaking: 311,
    InheritanceResetting: 312,
    WorkflowStarting: 501,
    ItemAdded: 10001,
    ItemUpdated: 10002,
    ItemDeleted: 10003,
    ItemCheckedIn: 10004,
    ItemCheckedOut: 10005,
    ItemUncheckedOut: 10006,
    ItemAttachmentAdded: 10007,
    ItemAttachmentDeleted: 10008,
    ItemFileMoved: 10009,
    ItemFileConverted: 10010,
    ItemVersionDeleted: 10011,
    FieldAdded: 10101,
    FieldUpdated: 10102,
    FieldDeleted: 10103,
    ListAdded: 10104,
    ListDeleted: 10105,
    SiteDeleted: 10201,
    WebDeleted: 10202,
    WebMoved: 10203,
    WebProvisioned: 10204,
    GroupAdded: 10301,
    GroupUpdated: 10302,
    GroupDeleted: 10303,
    GroupUserAdded: 10304,
    GroupUserDeleted: 10305,
    RoleDefinitionAdded: 10306,
    RoleDefinitionUpdated: 10307,
    RoleDefinitionDeleted: 10308,
    RoleAssignmentAdded: 10309,
    RoleAssignmentDeleted: 10310,
    InheritanceBroken: 10311,
    InheritanceReset: 10312,
    WorkflowStarted: 10501,
    WorkflowPostponed: 10502,
    WorkflowCompleted: 10503,
    EntityInstanceAdded: 10601,
    EntityInstanceUpdated: 10602,
    EntityInstanceDeleted: 10603,
    AppInstalled: 10701,
    AppUpgraded: 10702,
    AppUninstalling: 10703,
    EmailReceived: 20000,
    ContextEvent: 32766
};
/**
 * Environment Type
 */
exports.EnvironmentType = {
    ClassicSharePoint: 3,
    Local: 1,
    SharePoint: 2,
    Test: 0
};
/**
 * Field Index Status
 */
exports.FieldIndexStatus = {
    None: 0,
    Indexed: 1,
    Enabling: 2,
    Disabling: 3
};
/**
 * Field Note Types
 */
exports.FieldNoteType = {
    /** Enhance Rich Text */
    EnhancedRichText: 0,
    /** Rich Text */
    RichText: 1,
    /** Text Only */
    TextOnly: 2
};
/**
 * Field Number Type
 */
exports.FieldNumberType = {
    /** Decimal */
    Decimal: 0,
    /** Integer */
    Integer: 1,
    /** Percentage */
    Percentage: 2,
};
/**
 * Field Result Types
 */
exports.FieldResultType = {
    /** Boolean */
    Boolean: "Boolean",
    /** Currency */
    Currency: "Currency",
    /** Date Only */
    DateOnly: "DateOnly",
    /** Date & Time */
    DateTime: "DateTime",
    /** Number */
    Number: "Number",
    /** Text */
    Text: "Text"
};
/**
 * Field Types
 */
exports.FieldType = {
    AllDayEvent: 29,
    Attachments: 19,
    Boolean: 8,
    Calculated: 17,
    Choice: 6,
    Computed: 12,
    ContentTypeId: 25,
    Counter: 5,
    CrossProjectLink: 22,
    Currency: 10,
    DateTime: 4,
    Error: 24,
    File: 18,
    Geolocation: 31,
    GridChoice: 16,
    Guid: 14,
    Image: 34,
    Integer: 1,
    Invalid: 0,
    Lookup: 7,
    MaxItems: 31,
    ModStat: 23,
    MultiChoice: 15,
    Note: 3,
    Number: 9,
    PageSeparator: 26,
    Recurrence: 21,
    Text: 2,
    ThreadIndex: 27,
    Threading: 13,
    URL: 11,
    User: 20,
    WorkflowEventType: 30,
    WorkflowStatus: 28
};
/**
 * Field User Selection Types
 */
exports.FieldUserSelectionType = { PeopleOnly: 0, PeopleAndGroups: 1 };
/**
 * File Level
 */
exports.FileLevelType = { Published: 1, Draft: 2, Checkout: 3 };
/**
 * File Template Types
*/
exports.FileTemplateType = { StandardPage: 0, WikiPage: 1, FormPage: 2 };
/**
 * Form Display Mode
 */
exports.FormDisplayMode = {
    Display: 4,
    Edit: 6,
    New: 8
};
/**
 * Friendly Date Format
 */
exports.FriendlyDateFormat = {
    Unspecified: 0,
    Disabled: 1,
    Relative: 2
};
/**
 * List Experience Types
 */
exports.ListExperienceOptions = {
    Auto: 0,
    NewExperience: 1,
    ClassicExperience: 2
};
/**
 * List Template Types
*/
exports.ListTemplateType = {
    AccessApp: 3100,
    AccessRequest: 160,
    AdminTasks: 1200,
    Agenda: 201,
    AlchemyApprovalWorkflow: 3102,
    AlchemyMobileForm: 3101,
    Announcements: 104,
    AppCatalog: 336,
    AppDataCatalog: 125,
    AssetLibrary: 851,
    CallTrack: 404,
    Categories: 303,
    Circulation: 405,
    ClientSideAssets: 334,
    ClientSideComponentManifests: 331,
    Comments: 302,
    Contacts: 105,
    CustomGrid: 120,
    DataConnectionLibrary: 130,
    DataSources: 110,
    Decision: 204,
    DesignCatalog: 124,
    DeveloperSiteDraftApps: 1230,
    DiscussionBoard: 108,
    DocumentLibrary: 101,
    Events: 106,
    ExternalList: 600,
    Facility: 402,
    GanttTasks: 150,
    GenericList: 100,
    HealthReports: 1221,
    HealthRules: 1220,
    HelpLibrary: 151,
    Holidays: 421,
    HomePageLibrary: 212,
    IMEDic: 499,
    IssueTracking: 1100,
    KPIStatusList: 432,
    LanguagesAndTranslatorsList: 1301,
    Links: 103,
    ListTemplateCatalog: 114,
    MaintenanceLogs: 175,
    MasterPageCatalog: 116,
    MeetingObjective: 207,
    Meetings: 200,
    MeetingUser: 202,
    MicroFeed: 544,
    MySiteDocumentLibrary: 700,
    NoCodePublic: 122,
    NoCodeWorkflows: 117,
    PageLibrary: 850,
    PerformancePointContentList: 450,
    PerformancePointDataSourceLibrary: 460,
    PerformancePointDataConnectionsLibrary: 470,
    PerformancePointDashboardsLibrary: 480,
    PersonalDocumentLibrary: 2002,
    PictureLibrary: 109,
    Posts: 301,
    PrivateDocumentLibrary: 2003,
    RecordLibrary: 1302,
    ReportLibrary: 433,
    SharingLinks: 3300,
    SolutionCatalog: 121,
    Survey: 102,
    Tasks: 107,
    TasksWithTimelineAndHierarchy: 171,
    TenantAppCatalog: 330,
    TenantWideExtensions: 337,
    TextBox: 210,
    ThemeCatalog: 123,
    ThingsToBring: 211,
    Timecard: 420,
    TranslationManagementLibrary: 1300,
    UserInformation: 112,
    VisioProcessDiagramMetricLibrary: 505,
    VisioProcessDiagramUSUnitsLibrary: 506,
    WebPageLibrary: 119,
    WebPartCatalog: 113,
    WebTemplateCatalog: 111,
    Whereabouts: 403,
    WorkflowHistory: 140,
    WorkflowProcess: 118,
    XMLForm: 115
};
/**
 * Locale LCID Types
 */
exports.LocaleLCIDType = {
    Afrikaans: 1078,
    Albanian: 1052,
    ArabicAlgeria: 5121,
    ArabicBahrain: 15361,
    ArabicEgypt: 3073,
    ArabicIraq: 2049,
    ArabicJordan: 11265,
    ArabicLebanon: 12289,
    ArabicLibya: 4097,
    ArabicMorocco: 6145,
    ArabicOman: 8193,
    ArabicQatar: 16385,
    ArabicSaudiArabia: 1025,
    ArabicSyria: 10241,
    ArabicTunisia: 7169,
    ArabicUAE: 14337,
    ArabicYemen: 9217,
    Armenian: 1067,
    AzeriCyrillic: 2092,
    AzeriLatin: 1068,
    Basque: 1069,
    Belarusian: 1059,
    Bulgarian: 1026,
    Catalan: 1027,
    ChineseHongKongSAR: 3076,
    ChineseMacaoSAR: 5124,
    ChinesePRC: 2052,
    ChineseSingapore: 4100,
    ChineseTaiwan: 1028,
    CroatianCroatia: 1050,
    Czech: 1029,
    Danish: 1030,
    Divehi: 1125,
    DutchBelgium: 2067,
    DutchNetherlands: 1043,
    EnglishAustralia: 3081,
    EnglishBelize: 10249,
    EnglishCanada: 4105,
    EnglishCaribbean: 9225,
    EnglishIreland: 6153,
    EnglishJamaica: 8201,
    EnglishNewZealand: 5129,
    EnglishPhilippines: 13321,
    EnglishSouthAfrica: 7177,
    EnglishTrinidad: 11273,
    EnglishUnitedKingdom: 2057,
    EnglishUnitedStates: 1033,
    EnglishZimbabwe: 12297,
    Estonian: 1061,
    Faeroese: 1080,
    Finnish: 1035,
    FrenchBelgium: 2060,
    FrenchCanada: 3084,
    FrenchFrance: 1036,
    FrenchLuxembourg: 5132,
    FrenchMonaco: 6156,
    FrenchSwitzerland: 4108,
    Galician: 1110,
    Georgian: 1079,
    GermanAustria: 3079,
    GermanGermany: 1031,
    GermanLiechtenstein: 5127,
    GermanLuxembourg: 4103,
    GermanSwitzerland: 2055,
    Greek: 1032,
    Gujarati: 1095,
    HebrewIsrael: 1037,
    HindiIndia: 1081,
    Hungarian: 1038,
    Icelandic: 1039,
    Indonesian: 1057,
    ItalianItaly: 1040,
    ItalianSwitzerland: 2064,
    Japanese: 1041,
    Kannada: 1099,
    Kazakh: 1087,
    Konkani: 1111,
    Korean: 1042,
    KyrgyzCyrillic: 1088,
    Latvian: 1062,
    Lithuanian: 1063,
    MacedonianFYROM: 1071,
    Malay: 1086,
    MalayBruneiDarussalam: 2110,
    Marathi: 1102,
    MongolianCyrillic: 1104,
    NorwegianBokmal: 1044,
    NorwegianNynorsk: 2068,
    PersianIran: 1065,
    Polish: 1045,
    PortugueseBrazil: 1046,
    PortuguesePortugal: 2070,
    Punjabi: 1094,
    Romanian: 1048,
    Russian: 1049,
    Sanskrit: 1103,
    SerbianCyrillic: 3098,
    SerbianLatin: 2074,
    Slovak: 1051,
    Slovenian: 1060,
    SpanishArgentina: 11274,
    SpanishBolivia: 16394,
    SpanishChile: 13322,
    SpanishColombia: 9226,
    SpanishCostaRica: 5130,
    SpanishDominicanRepublic: 7178,
    SpanishEcuador: 12298,
    SpanishElSalvador: 17418,
    SpanishGuatemala: 4106,
    SpanishHonduras: 18442,
    SpanishMexico: 2058,
    SpanishNicaragua: 19466,
    SpanishPanama: 6154,
    SpanishParaguay: 15370,
    SpanishPeru: 10250,
    SpanishPuertoRico: 20490,
    SpanishSpain: 3082,
    SpanishUruguay: 14346,
    SpanishVenezuela: 8202,
    Swahili: 1089,
    Swedish: 1053,
    SwedishFinland: 2077,
    Syriac: 1114,
    Tamil: 1097,
    Tatar: 1092,
    Telugu: 1098,
    ThaiThailand: 1054,
    Turkish: 1055,
    Ukrainian: 1058,
    UrduPakistan: 1056,
    UzbekCyrillic: 2115,
    UzbekLatin: 1091,
    Vietnamese: 1066,
};
/**
 * Modal Dialog Results
 */
exports.ModalDialogResult = {
    Invalid: -1,
    Cancel: 0,
    OK: 1
};
/**
 * Page Types
 */
exports.PageType = {
    DefaultView: 0,
    DialogView: 2,
    DisplayForm: 4,
    DisplayFormDialog: 5,
    EditForm: 6,
    EditFormDialog: 7,
    Invalid: -1,
    NewForm: 8,
    NewFormDialog: 9,
    NormalView: 1,
    Page_MAXITEMS: 11,
    SolutionForm: 10,
    View: 3
};
/**
 * Personalization Scope
 */
exports.PersonalizationScope = {
    Shared: 1,
    User: 0
};
/**
 * Personal Site Capabilities
 */
exports.PersonalSiteCapabilities = {
    Education: 16,
    Guest: 32,
    MyTasksDashboard: 8,
    None: 0,
    Profile: 1,
    Social: 2,
    Storage: 4
};
/**
 * Principal Sources
 */
exports.PrincipalSources = {
    All: 15,
    MembershipProvider: 4,
    None: 0,
    RoleProvider: 8,
    UserInfoList: 1,
    Windows: 2
};
/**
 * Principal Types
 */
exports.PrincipalTypes = {
    All: 15,
    DistributionList: 2,
    None: 0,
    SecurityGroup: 4,
    SharePointGroup: 8,
    User: 1
};
/**
 * Property Pane Types
 */
exports.PropertyPaneType = {
    Button: 11,
    CheckBox: 2,
    ChoiceGroup: 10,
    Custom: 1,
    Dropdown: 6,
    DynamicField: 14,
    DynamicFieldSet: 16,
    DynamicTextField: 15,
    Heading: 9,
    HorizontalRule: 12,
    IconPicker: 19,
    Label: 7,
    Link: 13,
    Slider: 8,
    SpinButton: 17,
    TextField: 3,
    ThumbnailPicker: 18,
    Toggle: 5
};
/**
 * Relationship Delete Behavior Types
 */
exports.RelationshipDeleteBehaviorType = { None: 0, Cascade: 1, Restrict: 2 };
/**
 * Render List Data Options
 */
exports.RenderListDataOptions = {
    None: 0,
    ContextInfo: 1,
    ListData: 2,
    ListSchema: 4,
    MenuView: 8,
    ListContentType: 16,
    FileSystemItemId: 32,
    ClientFormSchema: 64,
    QuickLaunch: 128,
    Spotlight: 256,
    Visualization: 512,
    ViewMetadata: 1024,
    DisableAutoHyperlink: 2048,
    EnableMediaTAUrls: 4096,
    ParentInfo: 8192,
    PageContextInfo: 16384,
    ClientSideComponentManifest: 32768
};
/**
 * Reordering Rule Match Types
 */
exports.ReorderingRuleMatchType = {
    ContentTypeIs: 5,
    FileExtensionMatches: 6,
    ManualCondition: 8,
    ResultContainsKeyword: 0,
    ResultHasTag: 7,
    TitleContainsKeyword: 1,
    TitleMatchesKeyword: 2,
    UrlExactlyMatches: 4,
    UrlStartsWith: 3
};
/**
 * Role Types
 */
exports.RoleType = {
    Administrator: 5,
    Contributor: 3,
    Editor: 6,
    Guest: 1,
    None: 0,
    Reader: 2,
    WebDesigner: 4
};
/**
 * Status Pri Color
 */
exports.StatusPriColor = {
    Blue: "blue",
    Green: "green",
    Red: "red",
    Yellow: "yellow"
};
/**
 * URL Format Types
 */
exports.UrlFormatType = { Hyperlink: 0, Image: 1 };
/**
 * URL Zones
 */
exports.URLZones = { Default: 0, Intranet: 1, Internet: 2, Custom: 3, Extranet: 4 };
/**
 * User Custom Action Registration Types
 */
exports.UserCustomActionRegistrationType = { None: 0, List: 1, ContentType: 2, ProgId: 3, FileType: 4 };
/**
 * View Types
 */
exports.ViewType = {
    Calendar: 524288,
    Chart: 131072,
    Gantt: 67108864,
    Grid: 2048,
    Html: 1,
    Recurrence: 8193
};
/**
 * Web Template Types
 */
exports.WebTemplateType = {
    AcademicLibrary: "DOCMARKETPLACESITE",
    App: "APP",
    AppCatalog: "APPCATALOG",
    BasicSearch: "SRCHCENTERLITE",
    Blog: "BLOG",
    BusinessIntelligenceCenter: "BICenterSite",
    CentralAdmin: "CENTRALADMIN",
    Community: "COMMUNITY",
    CommunityPortal: "COMMUNITYPORTAL",
    Dev: "DEV",
    DocumentCenter: "BDR",
    eDiscoveryCenter: "EDISC",
    EnterpriseSearch: "SRCHCEN",
    EnterpriseWiki: "ENTERWIKI",
    Global: "GLOBAL",
    GroupWorkSite: "SGS",
    Meetings: "MEETINGS",
    MeetingWorkspace: "MPS",
    PerformancePoint: "PPMASite",
    ProductCatalog: "PRODUCTCATALOG",
    Profiles: "PROFILES",
    ProjectSite: "PROJECTSITE",
    Publishing: "BLANKINTERNET",
    PublishingSite: "CMSPUBLISHING",
    RecordsCenter: "OFFILE",
    SharedServicesAdminSite: "OSRV",
    Site: "STS",
    TeamCollaborationSite: "TEAM",
    TenantAdmin: "TENANTADMIN",
    Wiki: "WIKI"
};
