"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.sites = void 0;
var contextInfo_1 = require("../lib/contextInfo");
var utils_1 = require("../utils");
/**
 * Sites
 * The sites graph endpoint.
 */
exports.sites = (function (id, targetInfo) {
    var _a;
    var sites = new utils_1.Base(targetInfo);
    // Default the properties
    sites.targetInfo.defaultToWebFl = true;
    sites.targetInfo.endpoint = "_api/v2.0/sites/" + (id || ((_a = contextInfo_1.ContextInfo === null || contextInfo_1.ContextInfo === void 0 ? void 0 : contextInfo_1.ContextInfo.siteId) === null || _a === void 0 ? void 0 : _a.replace(/[{}]/g, '')));
    sites.targetInfo.requestType = utils_1.RequestType.GraphGet;
    // Add the methods
    utils_1.Request.addMethods(sites, { __metadata: { type: "@odata.context/_api/v2.0/$metadata#sites" } });
    // Return the sites
    return sites;
});
/** Returns the current web. */
exports.sites.getCurrentWeb = function () { return exports.sites().sites(contextInfo_1.ContextInfo.webId.replace(/^\{|\}$/g, '')); };
/** Returns a list by its title from the current web. */
exports.sites.getList = function (title) { return exports.sites().lists(title); };
